Vulnerability CVE-2009-1295


Published: 2009-04-30   Modified: 2012-02-13

Description:
Apport before 0.108.4 on Ubuntu 8.04 LTS, before 0.119.2 on Ubuntu 8.10, and before 1.0-0ubuntu5.2 on Ubuntu 9.04 does not properly remove files from the application's crash-report directory, which allows local users to delete arbitrary files via unspecified vectors.

Type:

CWE-16

(Configuration)

CVSS2 => (AV:L/AC:M/Au:N/C:N/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
1.9/10
2.9/10
3.4/10
Exploit range
Attack complexity
Authentication
Local
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
None
Partial
None
Affected software
Ubuntu -> Ubuntu 
Apport -> Apport 

 References:
https://launchpad.net/bugs/cve/2009-1295
https://bugs.launchpad.net/bugs/357024
http://www.ubuntu.com/usn/usn-768-1
http://www.securityfocus.com/bid/34776
http://secunia.com/advisories/35065
http://secunia.com/advisories/34952
http://secunia.com/advisories/34947
http://lists.opensuse.org/opensuse-security-announce/2009-05/msg00000.html

Copyright 2022, cxsecurity.com

 

Back to Top